> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-universal-printing-best-practices/v21/parallels-ras-universal-printing-best-practices/security-and-integrity.md).

# Security and integrity

It is not required to apply any extra security constraints on RAS Universal Printing. All steps of a printing process are already configured for best security, including:

* Management of universal printer devices on terminal servers is allowed using the special Print Operators accounts only. Regular users are only allowed to print and manage print queues of their own redirected devices.
* Temporary files produced during the printing process are stored in secure locations of user profiles, which means that nobody except specially assigned system administrators can access printed documents.
* Network transfer of print jobs is guarded by the RDP protocol encryption with an optional usage of SSL for advanced security.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-universal-printing-best-practices/v21/parallels-ras-universal-printing-best-practices/security-and-integrity.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
